smbios_processor_t Struct Reference
Public interface » ID macros » SMBIOS structures

processor information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | socket
| socket
hd_id_t | upgrade
| socket type
char * | manuf
| manufacturer
char * | version
| version
char * | serial
| serial number
char * | asset
| asset tag
char * | part
| part number
hd_id_t | pr_type
| processor type
hd_id_t | family
| processor family
uint64_t | cpu_id
| processor id
unsigned | voltage
| in 0.1 V
unsigned | ext_clock
| MHz.
unsigned | max_speed
| MHz.
unsigned | current_speed
| MHz.
unsigned | sock_status
| socket status (1: populated, 0: empty
hd_id_t | cpu_status
| cpu status
int | l1_cache
| handle of L1 cache
int | l2_cache
| handle of L2 cache
int | l3_cache
| handle of L3 cache

## Detailed Description

processor information

The documentation for this struct was generated from the following file:

- hd.h